Bug 751739 - F16 running as PV guest in VNC session doesn't grab mouse pointer.
F16 running as PV guest in VNC session doesn't grab mouse pointer.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 07:03 EST by Boris Derzhavets
Modified: 2013-02-11 16:37 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-11 16:37:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Boris Derzhavets 2011-11-07 07:03:33 EST
Description of problem:

F16 running as PV guest in VNC session doesn't grab mouse pointer.

Version-Release number of selected component (if applicable):

Fedora 16 RC5 plus yum update on 11/07/11

How reproducible:

Virt-install F16 PV Guest in vnc mode.

Steps to Reproduce:
1. virt-install
2. start via VirtManager
3. Attempt to work with mouse in VNC screen
  
Actual results:

Mouse doesn't show up in VNC window

Expected results:

Grabbing mouse pointer as usual 

Additional info:

When starting domain via virsh, mouse pointer looks like "."
Comment 1 Andrew Jones 2011-11-07 09:20:20 EST
Please specify the Xen host you are attempting to install on. Thanks.
Comment 2 Boris Derzhavets 2011-11-07 10:46:07 EST
Xen 4.1.1 (stock) on top of F16 ( yum install xen)

[root@fedora16 ~]# xl info
host                   : fedora16
release                : 3.1.0-7.fc16.x86_64
version                : #1 SMP Tue Nov 1 21:10:48 UTC 2011
machine                : x86_64
nr_cpus                : 2
nr_nodes               : 1
cores_per_socket       : 2
threads_per_core       : 1
cpu_mhz                : 2999
hw_caps                : bfebfbff:20100800:00000000:00000940:0008e3fd:00000000:00000001:00000000
virt_caps              : hvm
total_memory           : 8191
free_memory            : 1660
free_cpus              : 0
xen_major              : 4
xen_minor              : 1
xen_extra              : .1
xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32 hvm-3.0-x86_32p hvm-3.0-x86_64 
xen_scheduler          : credit
xen_pagesize           : 4096
platform_params        : virt_start=0xffff800000000000
xen_changeset          : unavailable
xen_commandline        : placeholder
cc_compiler            : gcc version 4.6.1 20111003 (Red Hat 4.6.1-10) (GCC) 
cc_compile_by          : mockbuild
cc_compile_domain      : phx2.fedoraproject.org
cc_compile_date        : Fri Oct 14 21:19:54 UTC 2011
xend_config_format     : 4
Comment 3 Boris Derzhavets 2011-11-08 12:17:15 EST
However, VNC session running KDE seems to grub mouse pointer.
Problem is with Gnome 3 falling back to simplified 2xD desktop.
I didn't check LXDE yet
Comment 4 Boris Derzhavets 2011-11-10 03:32:49 EST
LXDE  VNC session grab mouse pointer properly
Comment 5 Fedora Admin XMLRPC Client 2012-05-15 15:37:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-01-16 10:08:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Cole Robinson 2013-02-11 16:37:14 EST
Since F16 is EOL tomorrow, closing this as WONTFIX. If anyone can still reproduce on F18 with an F18 PV guest, please file a new bug and we can go from there.

Note You need to log in before you can comment on or make changes to this bug.